petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESMonitor

runs the user provided monitor routines, if they exist

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESMonitor(SNES snes,PetscInt iter,PetscReal rnorm)

Collective on SNES Many br

### Input Parameters

| snes | - nonlinear solver context obtained from SNESCreate() Many br
| iter | - iteration number Many br
| rnorm | - relative norm of the residual Many br

### Notes

This routine is called by the SNES implementations. Many brIt does not typically need to be called by the user. Many br

Many br

### See Also

SNESMonitorSet()

Level:developer
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages